/* gtkProgram.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"

#include "gtkProgram.h"

Gtk_Main *GtkProgram::_gtk = NULL;

GtkProgram::
GtkProgram(const string &program_name) : DatabaseProgram(program_name) 
{
  // If this is not NULL, do we have multiple GtkPrograms executing in
  // the same address space?  This is not allowed.
  assert(_gtk == NULL);
}

GtkProgram::
~GtkProgram() {
  delete _gtk;
  _gtk = NULL;
}

void GtkProgram::
command_line(int argc, char *argv[]) {
  // If this is not NULL, do we have multiple GtkPrograms executing in
  // the same address space?  This is not allowed.
  assert(_gtk == NULL);
  _gtk = new Gtk_Main(argc, argv);
  DatabaseProgram::command_line(argc, argv);
}

void GtkProgram::
run() {
  assert(_gtk != NULL);

  _gtk->run();
}
